using System;
using Server;

namespace Server.Items
{
	[FlipableAttribute( 0x081A, 0x081B )]
	public class Diary : BaseBook
	{
		[Constructable]
		public Diary() : base( 0x081A, 40, true )
		{
			Hue = Utility.RandomHue();
		}

		[Constructable]
		public Diary( int pageCount, bool writable ) : base( 0x081A, pageCount, writable )
		{
		}

		[Constructable]
		public Diary( string title, string author, int pageCount, bool writable ) : base( 0x081A, title, author, pageCount, writable )
		{
		}

		public Diary( bool writable ) : base( 0x081A, writable )
		{
		}

		public Diary( Serial serial ) : base( serial )
		{
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int)0 ); // version
		}
	}
}
